Package org.kapott.hbci.GV_Result

# Class GVRWPDepotList.Entry.Gattung.SubSaldo

java.lang.Object
org.kapott.hbci.GV_Result.GVRWPDepotList.Entry.Gattung.SubSaldo

Enclosing class:
  GVRWPDepotList.Entry.Gattung

public static final class GVRWPDepotList.Entry.Gattung.SubSaldo extends Object
Untersaldoinformationen, das heißt Informationen über die Zusammensetzung des Saldos einer Wertpapiergattung.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`comment`
Sperr- oder Zusatzvermerke der Bank (optional)
`String`
`country`
Lagerland der Depotstelle (optional).
`String`
`lager`
Beschreibung der Lagerstelle (optional)
`boolean`
`locked`
Gibt an, ob das Papier für einen Verkauf zur Verfügung steht.
`Date`
`lockeduntil`
Sperre bis zu diesem Datum (optional)
`String`
`qualifier`
Beschreibung des Saldowertes
`BigDecimalValue`
`saldo`
Saldobetrag.
`int`
`saldo_type`
Gibt den Typ des Saldos `saldo` an (optional).
`int`
`verwahrung`
Art der Verwahrung (optional).

## Constructor Summary

Constructors
Constructor
Description
`SubSaldo()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### qualifier

public String qualifier
Beschreibung des Saldowertes

### saldo_type

public int saldo_type
Gibt den Typ des Saldos `saldo` an (optional).

- `GVRWPDepotList.Entry.Gattung.PRICE_TYPE_PRCT` - Saldo ist ein Prozentsatz
- `GVRWPDepotList.Entry.Gattung.PRICE_TYPE_VALUE` - Saldo ist ein Geldbetrag

### locked

public boolean locked
Gibt an, ob das Papier für einen Verkauf zur Verfügung steht. `true` gibt an, dass das Papier gesperrt ist und somit nicht zur Verfügung steht, bei `false` kann es verkauft werden

### saldo

public BigDecimalValue saldo
Saldobetrag. Das Währungsfeld `curr` ist hier zur Zeit immer der leere String.

### country

public String country
Lagerland der Depotstelle (optional). Der Ländercode ist der ISO-3166-Ländercode (z.B. DE für Deutschland)

### verwahrung

public int verwahrung
Art der Verwahrung (optional).

- 0 - nicht gesetzt
- 1 - Girosammelverwahrung
- 2 - Streifbandverwahrung
- 3 - Haussammelverwahrung
- 4 - Wertpapierrechnung
- 9 - Sonstige

### lager

public String lager
Beschreibung der Lagerstelle (optional)

### lockeduntil

public Date lockeduntil
Sperre bis zu diesem Datum (optional)

### comment

public String comment
Sperr- oder Zusatzvermerke der Bank (optional)

## Constructor Details

### SubSaldo

public SubSaldo()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`